Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.services.entityproperties
Class EntityProperties

    java.lang.Object
      org.jasig.portal.services.entityproperties.EntityProperties

All Implemented Interfaces:
  IBasicEntity

    public class EntityProperties

extends java.lang.Object
implements IBasicEntity

A BasicEntity implementation used interally by the EntityPropertyRegistry to cache property lookup results

Version:
  $Revision: 1.7 $
Author:
  Alex Vigdor av317@columbia.edu

Field Summary
`protected java.lang.String` | `key`
`protected java.util.HashMap` | `props`

Constructor Summary
`EntityProperties(java.lang.String key)`

Method Summary
`EntityIdentifier` | `getEntityIdentifier()`
`java.lang.String` | `getKey()`
`java.lang.String` | `getProperty(java.lang.String name)`
`java.lang.String[]` | `getPropertyNames()`
`java.lang.Class` | `getType()`
`void` | `setProperty(java.lang.String name, java.lang.String value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### key

    protected java.lang.String key

### props

    protected java.util.HashMap props

Constructor Detail

### EntityProperties

    public EntityProperties(java.lang.String key)

Method Detail

### getEntityIdentifier

    public EntityIdentifier getEntityIdentifier()

  Specified by:
    `getEntityIdentifier` in interface `IBasicEntity`
  Returns:
    EntityIdentifier

### getKey

    public java.lang.String getKey()

### getType

    public java.lang.Class getType()

### getProperty

    public java.lang.String getProperty(java.lang.String name)

### setProperty

    public void setProperty(java.lang.String name,
                            java.lang.String value)

### getPropertyNames

    public java.lang.String[] getPropertyNames()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD